Subject: Amateurish question

From: [email-masked]
Date: Mon, 14 Jun 1999 11:59:33 +0530

Hi,

I am new to the network programming. Forgive me for this silly question.

I am working in a corporate network of Windows NT 4.0 workstations which is
protected by a firewall
This firewall also has a proxy server. Users has to authenticate them
selves to connect to web thro' proxy.

I have written a small program using sockects to connect to my firewall.
When I try to connect to my firewall using my application (port:  8080) it
is failing. Specifically gethostbyaddr() returning NULL.
But the telnet and browser applications are able to connect to the firewall
at that port.

Why this?

Thanks
Srinivas S